const { UUID, UUIDV4, STRING } = require('sequelize');

module.exports = (sequelize, DataTypes) => {
	const ActivityReviewImages = sequelize.define(
		'ActivityReviewImages',
		{
			id: {
				type: UUID,
				defaultValue: UUIDV4,
				allowNull: false,
				primaryKey: true,
			},
			activity_review_id: {
				type: UUID,
				allowNull: false,
			},
			image: {
				type: STRING,
				allowNull: false,
			},
		},
		{
			tableName: 'activity_review_images',
			timestamps: false,
		},
	);
	return ActivityReviewImages;
};
